package com.supwisdom.dlpay.api.domain;

import javax.persistence.*;

@Entity
@Table(name = "TB_PERSON_IDENTITY")
@IdClass(TPersonIdentityPK.class)
public class TPersonIdentity {
  @Id
  @Column(name = "THIRD_USERID", nullable = false, length = 60)
  private String thirdUserid;

  @Id
  @Column(name = "THIRD_SYSCODE", nullable = false, length = 20)
  private String thirdSyscode;

  @ManyToOne(fetch = FetchType.LAZY)
  @JoinColumn(name = "USERID")
  private TPerson person; //绑定的系统用户

  public TPersonIdentity() {
  }

  public TPersonIdentity(String thirdUserid, String thirdSyscode, TPerson person) {
    this.thirdUserid = thirdUserid;
    this.thirdSyscode = thirdSyscode;
    this.person = person;
  }

  public String getThirdUserid() {
    return thirdUserid;
  }

  public void setThirdUserid(String thirdUserid) {
    this.thirdUserid = thirdUserid;
  }

  public String getThirdSyscode() {
    return thirdSyscode;
  }

  public void setThirdSyscode(String thirdSyscode) {
    this.thirdSyscode = thirdSyscode;
  }

  public TPerson getPerson() {
    return person;
  }

  public void setPerson(TPerson person) {
    this.person = person;
  }
}
